Package org.jbpm.process.core.impl

## Class WorkImpl

- java.lang.Object
- - org.jbpm.process.core.impl.WorkImpl

- All Implemented Interfaces:
    `Serializable`, `Work`

      public class WorkImpl
      extends Object
      implements Work, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addParameterDefinition​(ParameterDefinition parameterDefinition)` |
    `String` | `getName()` |
    `Object` | `getParameter​(String name)` |
    `ParameterDefinition` | `getParameterDefinition​(String name)` |
    `Set<ParameterDefinition>` | `getParameterDefinitions()` |
    `String[]` | `getParameterNames()` |
    `Map<String,​Object>` | `getParameters()` |
    `void` | `setName​(String name)` |
    `void` | `setParameter​(String name, Object value)` |
    `void` | `setParameterDefinitions​(Set<ParameterDefinition> parameterDefinitions)` |
    `void` | `setParameters​(Map<String,​Object> parameters)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkImpl

          public WorkImpl()

  - ### Method Detail

    - #### setName

          public void setName​(String name)

      Specified by:
        `setName` in interface `Work`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Work`

    - #### setParameter

          public void setParameter​(String name,
                                   Object value)

      Specified by:
        `setParameter` in interface `Work`

    - #### setParameters

          public void setParameters​(Map<String,​Object> parameters)

      Specified by:
        `setParameters` in interface `Work`

    - #### getParameter

          public Object getParameter​(String name)

      Specified by:
        `getParameter` in interface `Work`

    - #### getParameters

          public Map<String,​Object> getParameters()

      Specified by:
        `getParameters` in interface `Work`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### setParameterDefinitions

          public void setParameterDefinitions​(Set<ParameterDefinition> parameterDefinitions)

      Specified by:
        `setParameterDefinitions` in interface `Work`

    - #### addParameterDefinition

          public void addParameterDefinition​(ParameterDefinition parameterDefinition)

      Specified by:
        `addParameterDefinition` in interface `Work`

    - #### getParameterDefinitions

          public Set<ParameterDefinition> getParameterDefinitions()

      Specified by:
        `getParameterDefinitions` in interface `Work`

    - #### getParameterNames

          public String[] getParameterNames()

      Specified by:
        `getParameterNames` in interface `Work`

    - #### getParameterDefinition

          public ParameterDefinition getParameterDefinition​(String name)

      Specified by:
        `getParameterDefinition` in interface `Work`